| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Application::Messages Class Reference

Class to carry out messages. More...

`#include <application.h>`

## Detailed Description

Class to carry out messages.

Definition at line 45 of file application.h.

## Public Member Functions
| Messages (const Messages &r)=delete
Messages & | operator= (const Messages &r)=delete
void | addError (const string &r, const string &msg="")
| Set an error condition in the application class without throwing an exception.
int | getErrorCount ()
| Return the number of errors that have been encountered so far.
void | popError ()
| Discard the last error message.
string | lastErrorMessage ()
| Retrieve the last error message in a string.
void | getErrors (std::ostream &f)
| Prints all of the error messages to an ostream.
void | logErrors ()
| Prints all of the error messages using writelog.
void | writelog (const string &msg)
| Write a message to the screen.
void | writelogendl ()
| Write an end of line character to the screen and flush output.
void | warnlog (const string &warning, const string &msg)
| Write a warning message to the screen.
void | setLogger (Logger *logwriter)
| Install a logger.

## Protected Attributes
vector< string > | errorMessage
| Current list of error messages.
unique_ptr< Logger > | logwriter
| Current pointer to the logwriter.

## Constructor & Destructor Documentation

## ◆ Messages()

Messages | ( |  | ) |

Definition at line 38 of file application.cpp.

## Member Function Documentation

## ◆ writelogendl()

void writelogendl | ( |  | ) |

Write an end of line character to the screen and flush output.

Definition at line 74 of file application.cpp.

## Member Data Documentation

## ◆ errorMessage

vector<string> errorMessage
| protected

Current list of error messages.

Definition at line 156 of file application.h.

## ◆ logwriter

unique_ptr<Logger> logwriter
| protected

Current pointer to the logwriter.

Definition at line 159 of file application.h.

The documentation for this class was generated from the following files:

- application.h
- application.cpp